Skala
Product recipe items

Get product recipe item details

Retrieves the specific details of a single product recipe item using its unique identifier.

GET
/api/product_recipe_items/{id}

Retrieves the specific details of a single product recipe item using its unique identifier.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

ProductRecipeItem identifier

Response Body

application/json

curl -X GET "https://api.skalasuite.com/api/product_recipe_items/string"
{
  "id": 0,
  "amount": "string",
  "note": "string",
  "cost": "string",
  "recipe": "/entity/1",
  "stock": "/entity/1",
  "productRecipeItemVariantOptions": [
    {
      "id": 0,
      "recipeItem": "/entity/1",
      "variantOption": "/entity/1",
      "variantOptionValues": [
        {}
      ]
    }
  ],
  "wastage": "string",
  "amountWithWastage": "string",
  "normalizedCost": "string",
  "currency": "/entity/1",
  "rate": "string",
  "position": 1,
  "unitCost": "string",
  "normalizedUnitPrice": "string",
  "normalizedUnitCost": "string",
  "company": "/entity/1",
  "createdBy": "/entity/1",
  "updatedBy": "/entity/1",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "deletedAt": "2019-08-24T14:15:22Z"
}
Empty